org.apache.cassandra.cql3

## Enum CFDefinition.Name.Kind

- java.lang.Object
- - java.lang.Enum<CFDefinition.Name.Kind>
  - - org.apache.cassandra.cql3.CFDefinition.Name.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CFDefinition.Name.Kind>

Enclosing class:
  CFDefinition.Name

    public static enum CFDefinition.Name.Kind
    extends java.lang.Enum<CFDefinition.Name.Kind>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLUMN_ALIAS`
`COLUMN_METADATA`
`KEY_ALIAS`
`STATIC`
`VALUE_ALIAS`

### Method Summary

Methods
`static CFDefinition.Name.Kind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CFDefinition.Name.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### KEY_ALIAS

    public static final CFDefinition.Name.Kind KEY_ALIAS

#### COLUMN_ALIAS

    public static final CFDefinition.Name.Kind COLUMN_ALIAS

#### VALUE_ALIAS

    public static final CFDefinition.Name.Kind VALUE_ALIAS

#### COLUMN_METADATA

    public static final CFDefinition.Name.Kind COLUMN_METADATA

#### STATIC

    public static final CFDefinition.Name.Kind STATIC

### Method Detail

#### values

    public static CFDefinition.Name.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CFDefinition.Name.Kind c : CFDefinition.Name.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CFDefinition.Name.Kind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null